Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.config
Class AgentConfig

    java.lang.Object
      com.rsa.authagent.authapi.config.AgentConfig

    public class AgentConfig

extends java.lang.Object

Constructor Summary
`AgentConfig(DataDirectory dataDirectory)` Private constructor

Method Summary
`int` | `getAceTime()`
`long` | `getAceTimeMillis()`
`AgentProperties` | `getAgProps()`
`java.net.InetAddress[]` | `getAllHostIp()`
`java.net.InetAddress` | `getHostIp()`
`byte[]` | `getNodeSecret()` Returns a static copy of the node secret.
`boolean` | `isDeltaSet()`
`boolean` | `nodeSecretExists()`
`void` | `refresh(boolean forced)` Re-read the Agent config data.
`void` | `saveNodeSecret(byte[] ns)` Saves the node secret.
`void` | `setAceTime(int time)` Set the delta Time (in millisecond between the Ace Server and the client

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentConfig

    public AgentConfig(DataDirectory dataDirectory)

  Private constructor

Method Detail

### nodeSecretExists

    public boolean nodeSecretExists()

  Returns:
    true if node secret exists.

### getNodeSecret

    public byte[] getNodeSecret()

  Returns a static copy of the node secret. Callers should clear the data after each use to prevent exposing the node secret.

  Returns:
    The node secret.

### getHostIp

    public java.net.InetAddress getHostIp()

  Returns:
    The IP address of the Agent Host

### getAgProps

    public AgentProperties getAgProps()

  Returns:
    the agProps.

### getAceTimeMillis

    public long getAceTimeMillis()
                          throws AuthAgentException

  Returns:
    The Time in Milli second on the Ace Server
  Throws:
    `AuthAgentException`

### getAceTime

    public int getAceTime()
                   throws AuthAgentException

  Returns:
    The Time in seconds on the Ace Server
  Throws:
    `AuthAgentException`

### setAceTime

    public void setAceTime(int time)

  Set the delta Time (in millisecond between the Ace Server and the client

### getAllHostIp

    public java.net.InetAddress[] getAllHostIp()

  Returns:
    Returns the allHostIP.

### saveNodeSecret

    public void saveNodeSecret(byte[] ns)

  Saves the node secret.

  Parameters:
    `ns` - the new node secret

### refresh

    public void refresh(boolean forced)

  Re-read the Agent config data.

  Parameters:
    `forced` - If true, force the re-read regardless of the refresh time.

### isDeltaSet

    public boolean isDeltaSet()

  Returns:
    Returns the isDeltaSet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.